Skip to main content
PUT
/
public
/
v2
/
product-tax-codes
/
{product_tax_code_id}
/
Update product tax code
curl --request PUT \
  --url https://api.dualentry.com/public/v2/product-tax-codes/{product_tax_code_id}/ \
  --header 'Content-Type: application/json' \
  --header 'X-API-KEY: <api-key>' \
  --data '
{
  "code": "<string>",
  "description": "<string>",
  "is_active": true
}
'
import requests

url = "https://api.dualentry.com/public/v2/product-tax-codes/{product_tax_code_id}/"

payload = {
"code": "<string>",
"description": "<string>",
"is_active": True
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({code: '<string>', description: '<string>', is_active: true})
};

fetch('https://api.dualentry.com/public/v2/product-tax-codes/{product_tax_code_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": 123,
  "code": "<string>",
  "description": "<string>",
  "is_active": true,
  "is_global": true
}
{
"errors": {},
"success": false
}
{
"errors": {},
"success": false
}
{
"errors": {},
"success": false
}
{
"errors": {},
"success": false
}

Authorizations

X-API-KEY
string
header
required

Path Parameters

product_tax_code_id
integer
required

Body

application/json
code
string | null
Minimum string length: 1
description
string | null
Minimum string length: 1
is_active
boolean | null

Response

OK

id
integer
required
code
string
required
description
string
required
source
enum<string>
required
Available options:
INTERNAL,
AVALARA
is_active
boolean
required
is_global
boolean
required
Last modified on July 13, 2026